// Top-level build file where you can add configuration options common to all sub-projects/modules.
buildscript {
    ext {
        kotlin_version = '1.8.0'
    }
    repositories {
        google()
        mavenCentral()
        maven { url "https://jitpack.io" }
    }

    dependencies {
        classpath 'com.google.android.gms:oss-licenses-plugin:0.10.6'
        classpath 'io.objectbox:objectbox-gradle-plugin:3.5.1'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
    }
}

plugins {
    id 'com.android.application' version '7.3.1' apply false
    id 'com.android.library' version '7.3.1' apply false
    id 'org.jetbrains.kotlin.android' version '1.8.20' apply false

    id "org.jlleitschuh.gradle.ktlint" version "11.2.0"
    id 'com.google.gms.google-services' version '4.3.15' apply false
    id 'com.google.firebase.crashlytics' version "2.9.8" apply false
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
